
// bmp2grpDlg.h : ヘッダー ファイル
//

#pragma once

#include "cfbmp.h"

// Cbmp2grpDlg ダイアログ
class Cbmp2grpDlg : public CDialogEx
{
// コンストラクション
public:
	Cbmp2grpDlg(CWnd* pParent = nullptr);	// 標準コンストラクター

// ダイアログ データ
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_BMP2GRP_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV サポート


// 実装
protected:
	HICON m_hIcon;

	// 生成された、メッセージ割り当て関数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CString m_strBmpFilename;
	CString m_strOutDir;
	afx_msg void OnBnClickedButtonRefOutdir();
	afx_msg void OnBnClickedButtonRefBmp();
	afx_msg void OnBnClickedButtonConvert();
	CString m_baseName;
public:
	Cfbmp	m_edgeBmp;
	void RedrawScreen();

	BOOL save16Beta();
	BOOL save256Beta();
	BOOL save16RL();
	BOOL save256RL();
	BOOL saveTextRL();
	BOOL saveFullColorBMP();
	BOOL m_check16B;
	BOOL m_check256B;
	BOOL m_check16RL;
	BOOL m_check256RL;
	BOOL m_checkTextRL;
	BOOL m_checkFullColorBmp;
};
